<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* applications-form-edit.twig */
class __TwigTemplate_746b553f671c23c1db72f403450ddbe5c4c5ffbaad8a4d624838b6cb64abcb5e extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "applications-form-edit.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "applications-form-edit.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo __("Edit Application");
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 19
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 20
        echo __("Save");
        echo ", \$(\"#applicationFormSubmit\").submit()
";
    }

    // line 23
    public function block_callBack($context, array $blocks = [])
    {
        echo "copyFromSecretInput";
    }

    // line 25
    public function block_formHtml($context, array $blocks = [])
    {
        // line 26
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 29
        echo __("General");
        echo "</span></a></li>
                <li><a href=\"#scopes\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 30
        echo __("Permissions");
        echo "</span></a></li>
            </ul>
            <form id=\"applicationFormSubmit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 32
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("application.edit", ["id" => $this->getAttribute(($context["client"] ?? null), "key", [])]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 35
        ob_start(function () { return ''; });
        echo __("Application Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "                        ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["client"] ?? null), "name", []));
        echo "

                        ";
        // line 38
        ob_start(function () { return ''; });
        echo __("Client Id");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 39
        echo "                        ";
        echo $context["forms"]->getdisabled("clientId", ($context["title"] ?? null), $this->getAttribute(($context["client"] ?? null), "key", []), "", "", "disabled");
        echo "

                        ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Client Secret");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Copy to Clipboard");
        $context["buttonTitle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 43
        echo "                        ";
        echo $context["forms"]->getinputWithButton("clientSecret", ($context["title"] ?? null), $this->getAttribute(($context["client"] ?? null), "secret", []), "", "", "readonly='readonly'", "", "copy-button", ($context["buttonTitle"] ?? null), "button", "");
        echo "
                                                    
                        ";
        // line 45
        ob_start(function () { return ''; });
        echo __("Reset Secret?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Reset your client secret to prevent access from any existing application.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 47
        echo "                        ";
        echo $context["forms"]->getcheckbox("resetKeys", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
        echo "

                        ";
        // line 49
        ob_start(function () { return ''; });
        echo __("Authorization Code?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Allow the Authorization Code Grant for this Client?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        echo $context["forms"]->getcheckbox("authCode", ($context["title"] ?? null), $this->getAttribute(($context["client"] ?? null), "authCode", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("Client Credentials?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Allow the Client Credentials Grant for this Client?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        echo $context["forms"]->getcheckbox("clientCredentials", ($context["title"] ?? null), $this->getAttribute(($context["client"] ?? null), "clientCredentials", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Redirect URI");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("White listed redirect URI's that will be allowed, only application for Authorization Code Grants");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        echo $context["forms"]->getinput("redirectUri[]", ($context["title"] ?? null), "", ($context["helpText"] ?? null));
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"scopes\">
                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Select permissions to grant to this application (scopes).");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "

                        ";
        // line 65
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable($this->getAttribute(($context["client"] ?? null), "redirectUris", []));
        foreach ($context['_seq'] as $context["_key"] => $context["url"]) {
            // line 66
            echo "                            ";
            ob_start(function () { return ''; });
            echo __("Redirect URI");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 67
            echo "                            ";
            echo $context["forms"]->getinput("redirectUri[]", ($context["title"] ?? null), $this->getAttribute($context["url"], "redirectUri", []));
            echo "
                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['url'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 69
        echo "
                        ";
        // line 70
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["scopes"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["scope"]) {
            // line 71
            echo "                            ";
            ob_start(function () { return ''; });
            echo twig_escape_filter($this->env, $this->getAttribute($context["scope"], "description", []), "html", null, true);
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 72
            echo "                            ";
            ob_start(function () { return ''; });
            echo "scope_";
            echo twig_escape_filter($this->env, $this->getAttribute($context["scope"], "id", []), "html", null, true);
            $context["id"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 73
            echo "                            ";
            echo $context["forms"]->getcheckbox(($context["id"] ?? null), ($context["title"] ?? null), $this->getAttribute($context["scope"], "selected", []));
            echo "
                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['scope'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 75
        echo "
                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Owner");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Set the owner of this Application. If you are not an admin you will not be able to reverse this action.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        $context["users"] = twig_array_merge([0 => ["userId" => null, "user" => ""]], ($context["users"] ?? null));
        // line 79
        echo "                        ";
        echo $context["forms"]->getdropdown("userId", "single", ($context["title"] ?? null), "", ($context["users"] ?? null), "userId", "userName", ($context["helpText"] ?? null));
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "applications-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  268 => 79,  265 => 78,  260 => 77,  256 => 76,  253 => 75,  244 => 73,  238 => 72,  233 => 71,  229 => 70,  226 => 69,  217 => 67,  212 => 66,  208 => 65,  202 => 63,  198 => 62,  191 => 59,  186 => 58,  182 => 57,  176 => 55,  171 => 54,  167 => 53,  161 => 51,  156 => 50,  152 => 49,  146 => 47,  141 => 46,  137 => 45,  131 => 43,  126 => 42,  122 => 41,  116 => 39,  112 => 38,  106 => 36,  102 => 35,  96 => 32,  91 => 30,  87 => 29,  82 => 26,  79 => 25,  73 => 23,  67 => 20,  63 => 19,  56 => 18,  53 => 17,  48 => 14,  45 => 13,  40 => 10,  38 => 11,  32 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "applications-form-edit.twig", "/home/mgatv524/public_html/edurocha/views/applications-form-edit.twig");
    }
}
